<!DOCTYPE html>
<html>
<head>
  </head>
  <body>


<div class=" panel panel-default">
<div class="panel-heading">
  <h2> <strong> Ajouter Chauffeur </strong> </h2>  </div>
    <br> 
<div class="panel-body" >

<form [formGroup]="f"(ngSubmit)="onSubmit()" ngNoForm>

 
    <!-- <div class="form-group ">
 <input type="number" name="id_chauffeur" placeholder="Entrer Id"class="form-control" formControlName="id_chauffeur" [(ngModel)]="chauffeur.id_chauffeur">
<div *ngFor="let validation of validation_messages.id_chauffeur">
  <div class="error-message" *ngIf="f.get('id_chauffeur').hasError(validation.type) &&  (f.get('id_chauffeur').dirty ||  f.get('id_chauffeur').touched)">              
    {{validation.message}} 
  </div>
</div>
<br>
</div>-->


<div class="form-group ">
<input type="number" name="cin" placeholder="Entre CIN" formControlName="cin" class="form-control"[(ngModel)]="chauffeur.cin" > 
<div *ngFor="let validation of validation_messages.cin">
  <div class="error-message" *ngIf="f.get('cin').hasError(validation.type) &&  (f.get('cin').dirty ||  f.get('cin').touched)">              
    {{validation.message}} 
  </div>
</div>
<br>
</div>




<div class="form-group ">
<input type="text" name="nom_chauffeur" placeholder=" Entrer Nom" pattern="[a-zA-Z ]*"class="form-control" formControlName="nom_chauffeur"[(ngModel)]="chauffeur.nom_chauffeur"> 
<div *ngFor="let validation of validation_messages.nom_chauffeur">
  <div class="error-message" *ngIf="f.get('nom_chauffeur').hasError(validation.type) &&  (f.get('nom_chauffeur').dirty ||  f.get('nom_chauffeur').touched)">              
    {{validation.message}} 
  </div>
</div>
<br>
</div>



<div class="form-group ">
<input type="text" name="prenom_chauffeur"  placeholder=" Entrer Prénom "class="form-control"  pattern="[a-zA-Z ]*" formControlName="prenom_chauffeur"  [(ngModel)]="chauffeur.prenom_chauffeur"> 
<div *ngFor="let validation of validation_messages.prenom_chauffeur">
  <div class="error-message" *ngIf="f.get('prenom_chauffeur').hasError(validation.type) &&  (f.get('prenom_chauffeur').dirty ||  f.get('prenom_chauffeur').touched)">              
    {{validation.message}} 
  </div>
</div>
<br>
</div>



<div class="form-group ">
<input type="email" name="email_chauffeur" placeholder=" Entrer Email" class="form-control"formControlName="email_chauffeur"  [(ngModel)]="chauffeur.email_chauffeur"> 
<div *ngFor="let validation of validation_messages.email_chauffeur" >
  <div class="error-message" *ngIf="f.get('email_chauffeur').hasError(validation.type) &&  (f.get('email_chauffeur').dirty ||  f.get('email_chauffeur').touched)">              
    {{validation.message}}  
  </div>
</div>
<br>
</div>


<div class="form-group ">
  <input type="text" name="login" placeholder=" Entrer login"class="form-control" formControlName="login"  [(ngModel)]="chauffeur.login"> 
  <div *ngFor="let validation of validation_messages.login" >
    <div class="error-message" *ngIf="f.get('login').hasError(validation.type) &&  (f.get('login').dirty ||  f.get('login').touched)">              
      {{validation.message}}  
    </div>
  </div>
  <br>
  </div>
  

<div class="form-group ">
<input type="password" name="mot_de_passe" class="form-control"placeholder=" Entrer Mot de passe" formControlName="mot_de_passe"  [(ngModel)]="chauffeur.mot_de_passe"> 
<div *ngFor="let validation of validation_messages.mot_de_passe" >
  <div class="error-message" *ngIf="f.get('mot_de_passe').hasError(validation.type) &&  (f.get('mot_de_passe').dirty ||  f.get('mot_de_passe').touched)">              
    {{validation.message}}  
  </div>
</div>
<br>
</div>

<form (ngSubmit)="onSubmit()"> 
    <div class="form-group ">
    <input type="number" name="tel" class="form-control"placeholder=" Entrer Numéro du tel"  [(ngModel)]="chauffeur.tel"> 
    </div>
    <br>

<div class="form-group ">
<input type="text" name="sang_groupe" class="form-control"placeholder=" Entrer Groupe sanguin"[(ngModel)]="chauffeur.sang_groupe"> 
</div>
<br>

</form>

<button type="submit" class="btn btn-success "> Ajouter</button> 
&nbsp;&nbsp;
<button type="reset" class="btn btn-warning" > Annuler</button>

</form>

</div>
</div>

</body>

</html>
